Remove person modification tag

Prev Next

Available in VPC

Remove the specified item from tags registered to a person.

Note

We also provide the Remove person tag API, which offers the same feature using the POST method. Use the POST method if your HTTP client environment does not support including a request body in a DELETE request. The request body and response formats are identical for both APIs.

Request

This section describes the request format. The method and URI are as follows:

Method URI
DELETE /api/v1/workspaces/{workspace_name}/persons/{person_id}/person-tags

Request headers

For information about the request headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
person_id String Required Person ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
tagIds Array[Integer] Required List of tag IDs to remove
  • Tag IDs that don't exist or have already been removed are ignored.

Request example

The request example is as follows:

curl --location --request DELETE 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/person-tags' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "tagIds": [200]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Person tag list object
result.personId Integer - Person ID
result.tagList Array - List of tags finally registered to the person: tagList
  • Complete list, excluding tags removed by request.

tagList

The following describes tagList.

Field Type Required Description
id Integer - Person tag ID
name String - Person tag name

Response status codes

For information about the response status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "personId": 1001,
    "tagList": [
      {
        "id": 100,
        "name": "Anchor"
      }
    ]
  }
}